Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uchicago.src.sim.analysis
Class StatisticUtilities

    java.lang.Object
      uchicago.src.sim.analysis.StatisticUtilities

    public class StatisticUtilities

extends java.lang.Object

Statistical utilities. Once the COLT library is finalized this will be a wrapper around its statistics package. These methods are used by the other Statistics classes. A user should not need to call this methods under normal circumstances.

Version:
  $Revision: 1.7 $ $Date: 2004/11/03 19:51:00 $
Author:
  Nick Collier

Field Summary
`static double` | `STAT_UTIL_ERRORVAL`

Constructor Summary
`StatisticUtilities()`

Method Summary
`static double` | `getAverage(java.util.ArrayList list, java.lang.reflect.Method m)` Gets an average of the values returned by every member of the specified list when method m is called on them.
`static double` | `getDouble(java.lang.Object o, java.lang.reflect.Method m)` Gets the double returned when the specified method is called on the specified object.
`static double` | `getMax(java.util.ArrayList list, java.lang.reflect.Method m)` Gets the max of the values returned by every member of the specified list when method m is called on them.
`static double` | `getMin(java.util.ArrayList list, java.lang.reflect.Method m)` Gets the min of the values returned by every member of the specified list when method m is called on them.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### STAT_UTIL_ERRORVAL

    public static double STAT_UTIL_ERRORVAL

Constructor Detail

### StatisticUtilities

    public StatisticUtilities()

Method Detail

### getAverage

    public static double getAverage(java.util.ArrayList list,
                                    java.lang.reflect.Method m)

  Gets an average of the values returned by every member of the specified list when method m is called on them.

  Parameters:
    `list` - the list of objects on which to call the method
    `m` - the method to call on the object
  Returns:
    the average, 0.0 if the list is empty or STAT_UTIL_ERRORVAL on error

### getMax

    public static double getMax(java.util.ArrayList list,
                                java.lang.reflect.Method m)

  Gets the max of the values returned by every member of the specified list when method m is called on them.

  Parameters:
    `list` - the list of objects on which to call the method
    `m` - the method to call on the object
  Returns:
    the max, Double.MIN_VALUE if the list is empty or STAT_UTIL_ERRORVAL on error

### getMin

    public static double getMin(java.util.ArrayList list,
                                java.lang.reflect.Method m)

  Gets the min of the values returned by every member of the specified list when method m is called on them.

  Parameters:
    `list` - the list of objects on which to call the method
    `m` - the method to call on the object
  Returns:
    the max, Double.MAX_VALUE if the list is empty or STAT_UTIL_ERRORVAL on error

### getDouble

    public static double getDouble(java.lang.Object o,
                                   java.lang.reflect.Method m)

  Gets the double returned when the specified method is called on the specified object.

  Parameters:
    `o` - the object on which to call the method
    `m` - the method to call on the object
  Returns:
    the value returned or STAT_UTIL_ERRORVAL on error

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD